#
# YAML Definition for Minecraft Pocket Edition. See minecraft.yaml for details.
#

name: Minecraft Pocket Edition

defaults:
  name: Future Block!
  mapcolor: [201, 119, 240]
  tex: [11, 8]
  brightness: 0
  opacity: 15


blocks:

  - id: 1
    idStr: STONE
    name: Stone
    mapcolor: [120, 120, 120]
    tex: [1, 0]

  - id: 2
    idStr: GRASS
    name: Grass
    mapcolor: [117, 176, 73]
    tex: [0, 0]
    tex_direction:
      FORWARD: [3, 0]
      SIDES: [3, 0]
      BACKWARD: [3, 0]
      BOTTOM: [2, 0]

  - id: 3
    idStr: DIRT
    name: Dirt
    mapcolor: [134, 96, 67]
    tex: [2, 0]

  - id: 4
    idStr: COBBLESTONE
    name: Cobblestone
    mapcolor: [115, 115, 115]
    tex: [0, 1]

  - id: 5
    idStr: PLANK
    name: Wood Planks
    mapcolor: [157, 128, 79]
    tex: [4, 0]

  - id: 6
    idStr: SAPLING
    name: Sapling
    mapcolor: [120, 120, 120]
    tex: [15, 0]
    type: DECORATION_CROSS
    opacity: 0
    data:
      0: 
        name: Sapling
        tex: [15, 0]
      1: 
        name: Spruce Sapling
        tex: [15, 3]
      2: 
        name: Birch Sapling
        tex: [15, 4]

  - id: 7
    idStr: BEDROCK
    name: Bedrock
    aka: Adminium
    mapcolor: [84, 84, 84]
    tex: [1, 1]

  - id: 8
    idStr: WATER
    name: Water (active)
    mapcolor: [38, 92, 255]
    type: WATER
    tex: [15, 12]
    opacity: 3

  - id: 9
    idStr: STATIONARY_WATER
    name: Water
    mapcolor: [38, 92, 255]
    type: WATER
    tex: [15, 12]
    opacity: 3

  - id: 10
    idStr: LAVA
    name: Lava (active)
    mapcolor: [255, 90, 0]
    tex: [15, 14]
    type: SEMISOLID
    brightness: 15

  - id: 11
    idStr: STATIONARY_LAVA
    name: Lava
    mapcolor: [255, 90, 0]
    tex: [15, 14]
    type: SEMISOLID
    brightness: 15

  - id: 12
    idStr: SAND
    name: Sand
    mapcolor: [218, 210, 158]
    tex: [2, 1]

  - id: 13
    idStr: GRAVEL
    name: Gravel
    mapcolor: [136, 126, 126]
    tex: [3, 1]

  - id: 14
    idStr: GOLD_ORE
    name: Gold Ore
    mapcolor: [143, 140, 125]
    tex: [0, 2]

  - id: 15
    idStr: IRON_ORE
    name: Iron Ore
    mapcolor: [136, 130, 127]
    tex: [1, 2]

  - id: 16
    idStr: COAL_ORE
    name: Coal Ore
    mapcolor: [115, 115, 115]
    tex: [2, 2]

  - id: 17
    idStr: WOOD
    name: Wood
    mapcolor: [102, 81, 51]
    tex: [4, 1]
    tex_direction:
      TOP: [5, 1]
      BOTTOM: [5, 1]
    data:
      0:
        name: Wood
        tex: [4, 1]
      1:
        name: Pine Wood
        aka: Spruce Wood, Redwood
        tex: [4, 7]
      2:
        name: Birch Wood
        tex: [5, 7]

  - id: 18
    idStr: LEAVES
    name: Leaves
    mapcolor: [60, 192, 41]
    tex: [5, 3] # The "correct" one is actually [4, 3] but with the current
                # transparency rendering issues, this one looks better.
    opacity: 1
    data:
      0:
        name: Leaves
        mapcolor: [60, 192, 41]
        tex: [5, 3]
      1:
        name: Pine Leaves
        aka: Spruce Leaves
        mapcolor: [74, 131, 66]
        tex: [5, 8]
      2:
        name: Birch Leaves
        mapcolor: [89, 151, 76]
        tex: [5, 3]

      4: # bit 0x4 - "Decaying"
        name: Leaves (Decaying)
        mapcolor: [60, 192, 41]
        tex: [5, 3]
      5:
        name: Pine Leaves (Decaying)
        aka: Spruce Leaves
        mapcolor: [74, 131, 66]
        tex: [5, 8]
      6:
        name: Birch Leaves (Decaying)
        mapcolor: [89, 151, 76]
        tex: [5, 3]

  - id: 20
    idStr: GLASS
    name: Glass
    mapcolor: [255, 255, 255]
    tex: [1, 3]
    type: GLASS
    opacity: 0

  - id: 21
    idStr: LAPIS_LAZULI_ORE
    name: Lapis Lazuli Ore
    mapcolor: [27, 70, 161]
    tex: [0, 10]

  - id: 22
    idStr: LAPIS_LAZULI_BLOCK
    name: Lapis Lazuli Block
    mapcolor: [0, 0, 0]
    tex: [0, 9]

  - id: 24
    idStr: SANDSTONE
    name: Sandstone
    mapcolor: [218, 210, 158]
    tex: [0, 12]
    tex_direction:
      TOP: [0, 11]
      BOTTOM: [0, 13]

  - id: 26
    idStr: BED
    name: Bed
    mapcolor: [255, 0, 0]
    tex: [7, 8]
    type: BED
    tex_extra:
      foot_top: [6, 8]
      head_side: [7, 9]
      foot_side: [6, 9]
      foot: [5, 9]
      head: [8, 9]
    opacity: 0

  - id: 30
    idStr: WEB
    name: Web
    mapcolor: [255, 255, 255]
    tex: [11, 0]
    type: DECORATION_CROSS
    opacity: 0

  - id: 31
    idStr: TALL_GRASS
    name: Tall Grass
    mapcolor: [104, 156, 53]
    tex: [7, 2]
    data:
      0:
        tex: [7, 3]
        name: (Unused Shrub)
      1:
        tex: [7, 2]
        name: Tall Grass
      2:
        tex: [8, 3]
        name: Fern
    type: DECORATION_CROSS
    opacity: 0

  - id: 35
    idStr: WOOL
    name: White Wool
    mapcolor: [222, 222, 222]
    tex: [0, 4]
    data:
      0: 
        tex: [0, 4]
        name: White Wool
        mapcolor: [222, 222, 222]
      1: 
        tex: [2, 13]
        name: Orange Wool
        mapcolor: [234, 127, 55]
      2: 
        tex: [2, 12]
        name: Magenta Wool
        mapcolor: [191, 75, 201]
      3: 
        tex: [2, 11]
        name: Light Blue Wool
        aka: Aqua Wool
        mapcolor: [104, 139, 212]
      4: 
        tex: [2, 10]
        name: Yellow Wool
        mapcolor: [104, 139, 212]
      5: 
        tex: [2, 9]
        name: Lime Wool
        mapcolor: [59, 189, 48]
      6: 
        tex: [2, 8]
        name: Pink Wool
        mapcolor: [217, 131, 155]
      7: 
        tex: [2, 7]
        name: Gray Wool
        mapcolor: [66, 66, 66]
      8: 
        tex: [1, 14]
        name: Light Gray Wool
        mapcolor: [166, 166, 166]
      9: 
        tex: [1, 13]
        name: Cyan Wool
        mapcolor: [39, 117, 149]
      10: 
        tex: [1, 12]
        name: Purple Wool
        aka: Indigo Wool, Violet Wool
        mapcolor: [129, 54, 196]
      11: 
        tex: [1, 11]
        name: Blue Wool
        mapcolor: [39, 51, 161]
      12: 
        tex: [1, 10]
        name: Brown Wool
        mapcolor: [86, 51, 28]
      13: 
        tex: [1, 9]
        name: Green Wool
        mapcolor: [56, 77, 24]
      14: 
        tex: [1, 8]
        name: Red Wool
        mapcolor: [164, 45, 41]
      15: 
        tex: [1, 7]
        name: Black Wool
        mapcolor: [0, 0, 0]

  - id: 37
    idStr: YELLOW_FLOWER
    name: Flower
    mapcolor: [255, 255, 0]
    tex: [13, 0]
    type: DECORATION_CROSS
    opacity: 0

  - id: 38
    name: Cyan Flower
    mapcolor: [255, 0, 0]
    tex: [12, 0]
    type: DECORATION_CROSS
    opacity: 0

  - id: 39
    idStr: BROWN_MUSHROOM
    name: Brown Mushroom
    mapcolor: [145, 109, 85]
    tex: [13, 1]
    type: DECORATION_CROSS
    opacity: 0

  - id: 40
    idStr: RED_MUSHROOM
    name: Red Mushroom
    mapcolor: [226, 18, 18]
    tex: [12, 1]
    type: DECORATION_CROSS
    opacity: 0

  - id: 41
    idStr: GOLD_BLOCK
    name: Block of Gold
    mapcolor: [231, 165, 45]
    tex: [7, 1]

  - id: 42
    idStr: IRON_BLOCK
    name: Block of Iron
    mapcolor: [191, 191, 191]
    tex: [6, 1]

  - id: 43
    idStr: DOUBLE_SLAB
    name: Double Stone Slab
    aka: Step
    mapcolor: [200, 200, 200]
    tex: [5, 0]
    tex_direction:
      TOP: [6, 0]
      BOTTOM: [6, 0]
      FORWARD: [5, 0]
      BACKWARD: [5, 0]
      SIDES: [5, 0]

    data:
      0: 
        tex: [5, 0]
        name: Double Stone Slab
      1: 
        tex: [0, 12]
        name: Double Sandstone Slab
      2: 
        tex: [4, 0]
        name: Double Wooden Slab
      3: 
        tex: [0, 1]
        name: Double Cobblestone Slab
      4: 
        tex: [7, 0]
        name: Double Brick Slab

  - id: 44
    idStr: SLAB
    name: Stone Slab
    aka: Half Step
    mapcolor: [200, 200, 200]
    tex: [6, 0]
    tex_direction:
      TOP: [6, 0]
      BOTTOM: [6, 0]
      FORWARD: [5, 0]
      BACKWARD: [5, 0]
      SIDES: [5, 0]

    type: HALFHEIGHT
    data:
      0: 
        tex: [6, 0]
        name: Stone Slab
      1: 
        tex: [0, 12]
        name: Sandstone Slab
      2: 
        tex: [4, 0]
        name: Wooden Slab
      3: 
        tex: [0, 1]
        name: Cobblestone Slab
      4: 
        tex: [7, 0]
        name: Brick Slab

  - id: 45
    idStr: BRICK
    name: Brick
    mapcolor: [170, 86, 62]
    tex: [7, 0]

  - id: 46
    idStr: TNT
    name: TNT
    mapcolor: [160, 83, 65]
    tex: [8, 0]
    tex_direction:
      TOP: [9, 0]
      BOTTOM: [10, 0]

  - id: 47
    idStr: BOOKSHELF
    name: Bookshelf
    mapcolor: [188, 152, 98]
    tex: [3, 2]
    tex_direction:
      TOP: [4, 0]
      BOTTOM: [4, 0]

  - id: 48
    idStr: MOSSY_COBBLESTONE
    name: Moss Stone
    aka: Mossy Cobblestone
    mapcolor: [115, 169, 115]
    tex: [4, 2]

  - id: 49
    idStr: OBSIDIAN
    name: Obsidian
    mapcolor: [26, 11, 43]
    tex: [5, 2]

  - id: 50
    idStr: TORCH
    name: Torch
    mapcolor: [245, 220, 50]
    tex: [0, 5]
    type: TORCH
    explored: true
    opacity: 0
    brightness: 14

  - id: 51
    idStr: FIRE
    name: Fire
    mapcolor: [255, 170, 30]
    type: SEMISOLID
    tex: [15, 1]
    opacity: 0
    brightness: 15

  - id: 53
    idStr: WOODEN_STAIRS
    name: Wooden Stairs
    mapcolor: [157, 128, 79]
    tex: [4, 0]
    type: STAIRS

  - id: 54
    idStr: CHEST
    name: Chest
    mapcolor: [125, 91, 38]
    tex: [11, 1]
    type: CHEST
    tex_extra:
      side_small: [10, 1]
      top: [9, 1]
      front_big_left: [9, 2]
      front_big_right: [10, 2]
      back_big_left: [9, 3]
      back_big_right: [10, 3]
    opacity: 0

  - id: 56
    idStr: DIAMOND_ORE
    name: Diamond Ore
    mapcolor: [129, 140, 143]
    tex: [2, 3]

  - id: 57
    idStr: DIAMOND_BLOCK
    name: Block of Diamond
    mapcolor: [45, 166, 152]
    tex: [8, 1]

  - id: 58
    idStr: WORKBENCH
    name: Bench
    mapcolor: [114, 88, 56]
    tex: [12, 3]
    tex_direction:
      SIDES: [11, 3]
      TOP: [11, 2]
      BOTTOM: [4, 0]

  - id: 59
    idStr: CROPS
    name: Crops
    aka: Wheat
    mapcolor: [146, 192, 0]
    tex: [15, 5]
    type: CROPS
    data:
      0: {tex: [8, 5]}
      1: {tex: [9, 5]}
      2: {tex: [10, 5]}
      3: {tex: [11, 5]}
      4: {tex: [12, 5]}
      5: {tex: [13, 5]}
      6: {tex: [14, 5]}
      7: {tex: [15, 5]}
    opacity: 0

  - id: 60
    idStr: FARMLAND
    name: Farmland
    mapcolor: [95, 58, 30]
    tex: [6, 5]
    tex_direction:
      FORWARD: [2, 0]
      SIDES: [2, 0]
      BACKWARD: [2, 0]
      BOTTOM: [2, 0]

  - id: 61
    idStr: FURNACE
    name: Furnace
    mapcolor: [96, 96, 96]
    tex: [12, 2]
    tex_direction:
      FORWARD: [12, 2]
      SIDES: [13, 2]
      BACKWARD: [13, 2]
      TOP: [14, 3]
      BOTTOM: [14, 3]
    tex_direction_data: {2: NORTH, 3: SOUTH, 4: WEST, 5: EAST}

  - id: 62
    idStr: BURNING_FURNACE
    name: Burning Furnace
    mapcolor: [96, 96, 96]
    tex: [13, 3]
    tex_direction:
      FORWARD: [13, 3]
      SIDES: [13, 2]
      BACKWARD: [13, 2]
      TOP: [14, 3]
      BOTTOM: [14, 3]
    tex_direction_data: {2: NORTH, 3: SOUTH, 4: WEST, 5: EAST}
    brightness: 14

  - id: 64
    idStr: WOODEN_DOOR
    name: Wooden Door
    mapcolor: [136, 109, 67]
    tex: [1, 5]
    type: DOOR
    tex_extra:
      bottom: [1, 6]
    opacity: 0

  - id: 65
    idStr: LADDER
    name: Ladder
    mapcolor: [181, 140, 64]
    tex: [3, 5]
    type: LADDER
    opacity: 0

  - id: 67
    idStr: COBBLESTONE_STAIRS
    name: Stone Stairs
    mapcolor: [115, 115, 115]
    tex: [0, 1]
    type: STAIRS

  - id: 71
    idStr: IRON_DOOR
    name: Iron Door
    mapcolor: [191, 191, 191]
    tex: [2, 5]
    type: DOOR
    tex_extra:
      bottom: [2, 6]
    opacity: 0

  - id: 73
    idStr: REDSTONE_ORE
    name: Redstone Ore
    mapcolor: [131, 107, 107]
    tex: [3, 3]

  - id: 74
    idStr: GLOWING_REDSTONE_ORE
    name: Redstone Ore (Glowing)
    mapcolor: [131, 107, 107]
    tex: [3, 3]
    brightness: 9

  - id: 78
    idStr: SNOW
    name: Snow Layer
    mapcolor: [255, 255, 255]
    tex: [2, 4]
    type: THINSLICE
    opacity: 0

  - id: 79
    idStr: ICE
    name: Ice
    mapcolor: [83, 113, 163]
    tex: [3, 4]
    type: WATER
    opacity: 3

  - id: 80
    idStr: SNOW_BLOCK
    name: Snow
    mapcolor: [250, 250, 250]
    tex: [2, 4]

  - id: 81
    idStr: CACTUS
    name: Cactus
    mapcolor: [25, 120, 25]
    tex: [6, 4]
    tex_direction:
      TOP: [5, 4]
      BOTTOM: [5, 4]
    opacity: 0

  - id: 82
    idStr: CLAY
    name: Clay
    mapcolor: [151, 157, 169]
    tex: [8, 4]

  - id: 83
    idStr: SUGARCANE
    name: Sugar Cane
    mapcolor: [100, 67, 50]
    tex: [9, 4]
    type: DECORATION_CROSS
    opacity: 0

  - id: 85
    idStr: FENCE
    name: Fence
    mapcolor: [157, 128, 79]
    tex: [4, 0]
    type: FENCE
    opacity: 0

  - id: 89
    idStr: GLOWSTONE
    name: Glowstone
    mapcolor: [249, 212, 156]
    tex: [9, 6]
    explored: true
    brightness: 15

  - id: 95
    idStr: INVISIBLE_BEDROCK
    name: Invisible Bedrock

  - id: 96
    idStr: TRAPDOOR
    name: Trapdoor
    mapcolor: [143, 107, 53]
    tex: [4, 5]
    type: TRAPDOOR
    opacity: 0

  - id: 98
    idStr: STONE_BRICK
    name: Stone Bricks
    mapcolor: [120, 120, 120]
    tex: [6, 3]

  - id: 102
    idStr: GLASS_PANE
    name: Glass Pane
    mapcolor: [255, 255, 255]
    tex: [1, 3]
    type: SOLID_PANE
    opacity: 0

  - id: 103
    idStr: MELON
    name: Watermelon
    mapcolor: [190, 184, 41]
    tex: [9, 8]
    tex_direction:
      FORWARD: [8, 8]
      SIDES: [8, 8]
      BACKWARD: [8, 8]

  - id: 105
    idStr: MELON_STEM
    name: Melon Stem
    mapcolor: [190, 184, 41]
    tex: [15, 6]
    type: STEM
    tex_extra:
      curve: [15, 7]
    opacity: 0

  - id: 107
    idStr: FENCE_GATE
    name: Fence Gate
    mapcolor: [157, 128, 79]
    tex: [4, 0]
    type: FENCE_GATE
    opacity: 0

  - id: 108
    idStr: BRICK_STAIRS
    name: Brick Stairs
    mapcolor: [170, 86, 62]
    tex: [7, 0]
    type: STAIRS

  - id: 246
    idStr: GLOWING_OBSIDIAN
    name: Glowing Obsidian
    mapcolor: [155, 0, 0]
    tex: [10, 13]
    brightness: 12

  - id: 247
    idStr: NETHER_REACTOR_CORE
    name: Nether Reactor Core
    mapcolor: [125, 210, 255]
    tex: [10, 14]
    data:
      0: 
        tex: [10, 14]
        name: Nether Reactor Core
      1: 
        tex: [9, 14]
        name: Nether Reactor Core (Used)

...
